Batch Render&Relink

The utility Batch Render&Relink” is intended for rendering the thumbnails
and search\collect the textures for files of models, materials and files with photometric data IES in a batch mode.

The contents of Batch Render&Relink

Getting Started
User Interface
Ordering & License
Contacts & Credits
What's new in help


Getting Started

Please read the topics bellow to quickly get started with Batch Render&Relink.
The utility Batch Render&Relink” is intended for rendering the thumbnails
and search\collect the textures for files of models, materials and files with photometric data IES in a batch mode.
With this utility you can make the thumbnails for files 3ds Max, 3ds, Vray and Mental Ray Proxy. Also you can add custom 3d formats.
Also this utility can help you find and collect all assets for files of models and materials. (It is inaccessible in the Demo-version)
The batch task of search\collecting of textures and rendering the thumbnails can be executed for one session.
Add files or folders in the corresponding list and press the button "Start".

The contents of Getting Started

System Requirements
Install & Uninstall


System Requirements

System requirements:

same as for your version of the 3ds Max: http://www.autodesk.com/3dsmax-systemrequirements
Note: Please use latest updates for your version of 3ds Max
3ds Max Updates & Service Packs

Supported 3ds Max versions:

3ds Max/Design 2010 and above.

Supported renderers:

you can use this plugin with any renderer. Please read more here.


Install & Uninstall

Installation:

  • Login * and download the Batch Render&Relink.
  • Unpack archive on a hard disk
  • Run the 3ds Max.
  • Drag the .mzp file into the viewport
  • The installation automatically started.
  • Follow the instructions on screen and generate the identification file at the end.
  • In the 3ds max menu “Customize”>> “Customize User Interface”>> Category “Track” choose the plugin and draw it to the Panel of Instruments.
*For downloading the full version the buyer must be logged**.
You can download the demo without logging.
**Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.

The contents of Install & Uninstall

Installation page 1
Installation page 2
Uninstall


Installation page 1

Installation page 1

License Agreement

1. License Agreement
Open the License Agreement

I Agree

2. I Agree
Turn if you agree to the terms of the license to continue installation.

Cancel

Click for cancel installation.

Uninstall

Turn if you want uninstall previous installation.

Continue

Click for Continue


Installation page 2

Installation page 2

Check for Updates at Startup

1. Check for Updates at Startup
Check for new versions after each start the plugin.

Generate the identification file

2. Generate the identification file
Open the "Registration" dialog after complete installation.

Start installation

3. Start installation


Uninstall

Start the installation and turn on the checkbox "Uninstall"
During uninstallation you can choose option for keep all your settings files.
After uninstalling your can restore all files from recycle bin.


User Interface

Main menu

Keep a log-file: save log file with information about all renderings and relinking files. (Path:"UserScripts\TrackScripts\Plugin\\\temp\log")
Render Settings: open the "Render Thumbnails Preferences" dialog.
Preferences: open the "Preferences" dialog.
Help: open this help file.
Video Tutorials: open the web-page with video tutorials.
Activation: open the Registration dialog.
Create Support Request: open the "Support Request" dialog.
Check for Updates: connect to server and check available updates for plugin.
About: Open the dialog with information about plugin and credentials.

List of directories\files for batch processing
Add folders to list
Remove selected items from list
List of directories\files for batch processing
You can uncheck or remove items for exclude from processing

With the contextual menu of the list you can execute following actions:

Find and display all subfolders for the folders chosen in the list.
Find and display all files.
For exclusion from processing* files or folders choose them and press the button "Remove" on panel, choose the menu item “Remove from List” or press the "Delete" key.
Also you can choose a 3ds max file and open it with menu item “Load file”
Choose “Explore” to open the file in the Windows Explorer.
*For excluding from the batch rendering files, which is already have the thumbnails,
you can set the checkbox "Skip existing thumbnails" in group " Batch-Thumbnails Render ".

Batch-Thumbnails Render

3. Batch-Thumbnails Render
Batch-Thumbnails Render: turn on for rendering thumbnails.
Skip existing thumbnails: turn on for skip rendering 3d-files which already has thumbnail.
Settings: open the "Render Thumbnails Preferences" dialog.

Collecting of maps for models and materials

4. Collecting of maps for models and materials
Turn on the checkbox "Batch-Search & Collect" for collect, search and relink the files in the batch mode.

Collect files

: turn on for collecting of textures *.
The settings of the folders for the search will become available. (see the section "Collect path" below)
* The links to the textures will be automatically corrected.

Collect path

.
5. Collect path
Collect path: here you can specify a relative or full path to a folder of collecting textures.
“FilePath” in this field specifies that textures will be copied in one folder with a model or material.
Map folder: a name of subfolder in which textures will be collected.
“FileName” specifies, that the name of subfolder will be named by name a file.
Possible options of paths to the collect texture folder:
FilePath\FileName – in this case the textures will be copied to the subfolder, named as the file,
to the same folder where the file is saved to.
FilePath (the field in the Map folder is empty) – the textures will be copied to the common folder for the file.
Also in the field Collect path you may put the full path the the collect texture folder and put your own name for the subfolder – “Maps” for example.
Press this button for return of settings for collecting folder to their default

Search directories

6. Search directories
Here you can setup directories for search the maps for 3d models and materials.
You may add nearly unlimited quantity of folders for the search.
In order to add the folder type the path to the field or press the button with three dots.
In order to exclude the folder out of search turn off the checkbox.
In order to delete the folder press the “Delete” button.
Note: turn on the “ Search&Relink ” checkbox for display this settings.

Post-Open Script

7. Post-Open Script
Put path to custom script for execution before rendering or relinking.
See the example in the script "UserScripts\TrackScripts\Plugin\presets\BatchRendering Script Example.ms"
Note: Do not use this for changing the scene.

Batch process: include options and start

8. Batch process: include options and start

Include options

9. Include options

List of extensions the 3d-files

The contents of User Interface

Preferences
Render Thumbnails Preferences
Support request dialog
Confirm Replace dialog


Preferences

Configuration for copying the files with the same name,

but different in content.

1. Configuration for copying the files with the same name, but different in content.

Keep old path (not copy-keep old link)

: do not copy the file and not to change the link

Set new path (not copy-relink to target)

: do not copy the file and set the link to existing file in the collecting folder.

Copy and rename

: copy and rename the file automatically.

Display dialog (ask the user each time)

: display a dialog with ability a choise of action.

Backup

2. Backup

Backup in Batch mode

: keep a copy of the file in the folder "Autoback\FPF_Batch_Backup"

Explore

: open the backup folder

Clear

: clear the backup folder

Clear Material Editor

3. Clear Material Editor

Miscellaneous

4. Miscellaneous

Make log:

save log file with information about all renderings and relinking files. (Path: "UserScripts\TrackScripts\Plugin\temp\log")


Render Thumbnails Preferences

Render Thumbnails Preferences

Settings for rendering 3d Models

View preset

2. View preset
You can manually setup a view for render the thumbnail, dependent on model orientation in a scene.
As a rule the models are oriented to Front.
In that case you can use a default view setting - top-front-right.
For use the default view point of scene, without changes, turn on the checkbox “Use default scene view”.
But for reassigning the orthographic views (Top, Front, Right, Left) you can turn on the checkbox "Override Orthographic Views".

Renderer Setup

3. Renderer Setup
Choice and configuring the renderer plugin.
Your library can contains a models and materials which are prepared for for using with different plugins of rendering.
The utility can automatically define the compatibility* of your model and material with plug-in renderer.
Utility includes some render-preset files - for Scanline, Mental Ray and Vray renderers.
If you use any other renderer, you can configure and save custom render-preset for use with the utility .**

Use scene/studio Renderer:

Set selected renderer as default
List of availabled renderers
Link renderer to render preset file
List of render preset files
Add new render preset file to list
Remove render preset file from list
Use render settings from the file of model.
*Compatibility of the model to renderer determinates by the materials used in the model.
For example, “Vray Material” is compatible only to the Vray render, or “Arch & Design (mi)” to the Mental Ray render.
** Do not save your render settings over the render-preset files which are the utilyty components. Otherwise
these savings will be deleted while the installation of the new version of the utility.

Custom studio

4. Custom studio

Use custom studio:

check for using custom studio for rendering preview.
Set path to studio
Open the studio file for edit.
Open the window with description how to customize studio.
The program creates the studio while rendering of models and materials by default, but you may create your own file with the studio*,
where your models will be rendered in.
To activate the ability to create the Custom Studio turn on the checkbox “Use Custom Studio”.
Pay attention, that the settings of the “ View Presets ” will become unavailable.
The Custom Studio has to contain the camera and the object with the name “SceneDummy” for the correct rendering. (For the Materials renderings the object’s name should be “MaterialDummy”).
Set the equal size of the final image in the dialog window “Render Setup” and turn on “Safe Frame” in the viewport.
Set the desired view by the object “SceneDummy” or “MaterialDummy”.
For additional information see the files “Sample_Studio.max” and “Material.max”.
*The textures of the materials may appear uncorrect with the mapping by the channel different from 1 when using the Custom Studio.
Also at rendering of multi-materials the materials with the ID more then 1 will be ignored.

Settings for rendering Materials

5. Settings for rendering Materials

Render output settings.

Override output gamma

6. Override output gamma

Save as type

7. Save as type The image can be saved as ".png" with alpha channel or ".jpg".


Support request dialog

Support request dialog
If something’s not working, please generate the bug-report, using this form.
Also you can let us know more directly from the Technical Support Forum

Description

Describe about the problem and explain step by step what you did before the error occurred.
This will help to quickly find and fix the problem.


Confirm Replace dialog

Read about: Configuration for copying the files with the same name, but different in content.


Ordering & License

You can instantly order the fully licensed version of Batch Render&Relink at any time over the Internet with any major credit card, bank / wire transfer, PayPal, check or cash.
After you purchased a license, you'll receive your personal registration code and the release version of Batch Render&Relink.
Please visit http://3d-kstudio.com/shop/ for pricing information.
Here's what you can do with paid license of our product:
  • Enable find, relink & collect the maps
  • Enable high resolution rendering
  • FREE minor version upgrades.
  • FREE lifetime support. We promise prompt and courteous answers to your questions.
Once you have ordered the Batch Render&Relink registration key please enter it into the registration dialog.

The contents of Ordering & License

Registration Dialog
Software License Agreement


Registration Dialog

After buying the Batch Render&Relink start the 3ds Max and install the plugin.
For starting the registration run the Batch Render&Relink and choose the item "Activation" in the menu "Help".

Generate new identification-file

1. Generate new identification-file
Generate the new identification file*.
After open the dashboard and send the identification file.
During from 2 up to 48 hour you will receive the new license.

Updating the license key:

Move License

2. Move License
In case if you update your computer, reinstall the Windows or by any other reason your license stop working you can update the license key for free.

Select the most suitable transferring type:

1) Run the “Registration” tool and click the “Move License” button.
Choose from the opened window the license used previously.
The request for the transferring will be automatically sent to the server.
2) Run the “Registration” tool and click “Generate ID-File” button.
Login and send the identification file using dashboard.
During from 2 up to 48 hour you will receive the new license.
Note: the registration must be started on the computer, on which you plan use the plugin.

Apply License key

3. Apply License key
After receiving the license key press this button and choose the license key.
Note:
The identification file must be generated on computer
where you plan use the plugin.
Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.


Software License Agreement

This is a Software License Agreement (hereinafter, this "LICENSE") for "Batch Render&Relink".
This LICENSE is a legal agreement between you (either an individual or a single entity) and Alexander Kramer ("CREATOR"),
for Batch Render&Relink product consisting of all files, demos, intermediate files, media, printed materials, and "online"
or electronic documentation (the "SOFTWARE") contained in this installation file.
BEFORE YOU CAN CONTINUE TO INSTALL THE SOFTWARE, IT IS NECESSARY FOR YOU TO AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. BY SELECTING THE "I ACCEPT" RADIO BUTTON, OR BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE INCLUDING THE WARRANTY DISCLAIMERS, LIMITATIONS ON LIABILITY AND TERMINATION PROVISIONS.
If you do not agree to the terms of this LICENSE please uninstall the SOFTWARE and remove all copies from the HDD.
I. OWNERSHIP; LICENSE GRANT.
This is a license agreement and NOT an agreement for sale. CREATOR continues to own the copy of the SOFTWARE and all copies thereof. Your rights to the SOFTWARE are specified in this LICENSE, and CREATOR retains all rights not expressly granted to you in this LICENSE. CREATOR hereby grants to you, and you accept, a non-exclusive, non-transferable license to use, copy and modify the SOFTWARE only as authorized below.
II. PERMITTED USES.
This LICENSE grants you the following rights:
A. The SOFTWARE is licensed per individual user. You may use a copy of the SOFTWARE on the same number of computers as the number of licenses purchased (e.g. four user licenses allows you to use the SOFTWARE on up to four computers concurrently or by four different users, eight user licenses allows you to use the SOFTWARE on up to eight computers concurrently or by eight different users). The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage devise) of that computer.
B You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Content developed using the unlicensed version must not be used for profit activities or otherwise, except so far as this is for educational or demonstration purposes in a content developed specifically for the purpose of demonstrating the functionality of this software.
III. PROHIBITED USES.
You may not, without the prior written permission of CREATOR:
A. Disassemble, decompile or "unlock", decode or otherwise reverse translate or reverse engineer, or attempt in any manner to reconstruct or discover any source code or underlying algorithms of the SOFTWARE.
B. You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Transfer, rent, lease, or sublicense the SOFTWARE.
D. Separate the software programs comprising the SOFTWARE for use by more than one user at a time.
IV. REDISTRIBUTION.
A. YOU MAY NOT CREATE ANY TOOL, REDISTRIBUTABLE, OR SOFTWARE APPLICATION PRODUCT THAT DIRECTLY OR INDIRECTLY COMPETES WITH THE SOFTWARE AND WHICH UTILIZES ALL OR ANY PORTION OF THE SOFTWARE contained within this installation. You shall not develop software application products that provide an application programming interface to the SOFTWARE or SOFTWARE as modified.
B. You may NOT distribute the SOFTWARE, in any format, to other users.
C. In addition to the other requirements set forth in this Section IV, you hereby agree to indemnify, hold harmless, and defend CREATOR from and against any and all liabilities, damages, losses, costs and expenses (including reasonable attorneys' fees) arising from or related to any claim, action, proceeding or allegation that arises or results, either directly or indirectly, from the use of any of your software application product(s).
V. COPYRIGHT.
All title and copyrights in and to the SOFTWARE (including but not limited to source code, images, photographs, animation, video and text incorporated into the SOFTWARE) except DotNetZip library (see V.I this LICENSE), ShellContextMenu (see V.II this LICENSE), AI.CONTROL.DLL (see V.III this LICENSE) and Windows API Code Pack(see V.IV this LICENSE) and are owned by CREATOR. The SOFTWARE is protected by copyright laws and international treaty provisions. All rights are reserved worldwide. You must treat the SOFTWARE like any other copyrighted material, except that you may, in addition to the copies permitted in this LICENSE, make one copy of the SOFTWARE solely for backup or archival purposes. No part of the SOFTWARE may be reproduced, transmitted, transcribed, stored in any retrieval system, or translated into any language by any means without the express prior written permission of CREATOR.
V.I LICENSE FOR DotNetZip library.
DotNetZip library is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
V.II LICENSE FOR SHELLCONTEXTMENU.DLL.
This SOFTWARE is based in part on the open source code of the Andrew Vos with the kind permission of the author.
www.andrewvos.com/2009/01/06/shellcontextmenu2
Copyright © 2009 Andrew Vos
V.III LICENSE FOR AI.CONTROL.DLL.
This SOFTWARE is based in part on the open source code of the red_moon is licensed under
Code Project Open License (CPOL)
Link to Code Project Open License (CPOL): http://www.codeproject.com/info/cpol10.aspx
http://www.codeproject.com/Articles/98967/A-ToolTip-with-Title-Multiline-Contents-and-Image
Copyright © 2010 red_moon
V.IV LICENSE FOR WINDOWS API CODE PACK.
Windows API Code Pack is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
VI. TERMINATION.
This LICENSE and your right to use the SOFTWARE will terminate immediately without notice from CREATOR if you fail to comply with the terms and conditions of this LICENSE. Upon termination, you agree to destroy the SOFTWARE, including all accompanying documents and copies. This is in addition to and not in lieu of any criminal, civil or other remedies available to CREATOR.
VII. DISCLAIMER OF WARRANTY.
CREATOR expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. CREATOR DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF THE USE, OF THE SOFTWARE IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. No oral or written information or advice given by CREATOR or its employees shall create a warranty or in any way increase the scope of this warranty.
VIII. LIMITATION OF LIABILITIES.
CREATOR' liability, whether in contract, tort, or otherwise, arising out of Licensee's use of, or in connection with, the SOFTWARE, or otherwise under this Agreement, shall not exceed the amount of the license fee paid by you to CREATOR. IN NO EVENT SHALL CREATOR OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CREATOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
IX. MISCELLANEOUS.
In the event of invalidity of any provision of this LICENSE, the parties agree that such invalidity shall not affect the validity of the remaining portions. You agree that you will not export or re-export the Software without the appropriate government licenses. This is the entire agreement between you and CREATOR which supersedes any prior agreement, whether written or oral, relating to this subject matter. CREATOR reserves all rights not specifically granted in this EULA.
X. ACKNOWLEDGEMENTS.
You acknowledge that you have read this LICENSE, understand it, and agree to be bound by its terms and conditions.
XI. EMAIL:
Feel free to email any questions regarding this license or any other questions about the Software to
support@3d-kstudio.com
Correspondence can be in English, Ukrainian or Russian.


Contacts & Credits

Product page:
http://3d-kstudio.com/product/batch-render-relink/
Support e-mail:
support@3d-kstudio.com
Sales e-mail:
sales@3d-kstudio.com
Created by:
Alexander Kramer
Credits:
Ai.Control
The software contains the Ai.Control library, available at codeproject.com , and licensed under the Code Project Open License (CPOL) .
ShellContextMenu
The software contains the ShellContextMenu library, available at andrewvos.com , and used with the kind permission of the author.
DotNetZip
The software contains the DotNetZip library, available at https://dotnetzip.codeplex.com , and licensed under the Microsoft Public License (Ms-PL) .
Windows API Code Pack
The software contains the Windows API Code Pack library, licensed under the Microsoft Public License (Ms-PL) .


What's new in help

March 2015:

New topics:
  • Ordering & License
  • Registration Dialog
  • Install & Uninstall